Query Onsite Proxy Instance List
Query the list of Onsite Proxy instances, including the total number, connection URL and basic information of each Onsite Proxy instance, such as UUID, name, platform, etc.
Request URL
GET {base_url}/{api_path}/onsiteproxy/list?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
| sort_by | No | String | Define the sorting field. Valid value:
|
| order_by | No | String | Define the display order. Valid value:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of Onsite Proxy instances. |
| data | Array<Proxy_Basicinfo> | The basic information of each Onsite Proxy instance. |
| connection_url | String | The connection address of the PBX server. |
Proxy_Basicinfo
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The instance ID. |
| uuid | String | The instance UUID. |
| name | String | The instance name. |
| platform | String | The operating system where the instance is deployed. |
| version | String | The instance version. |
| intranet_ip | String | The private IP address of the instance. |
| public_ip | String | The public IP address of the instance. |
| audio_rtp_passthrough | Integer | Whether the Audio RTP Passthrough feature is enabled.
|
| status | String | The connection status between the PBX and the instance.
|
| phone_count | Integer | The total number of associated IP phones, including those auto-discovered via PnP by the instance and others configured to register via the instance. |
| online_phone_count | Integer | The number of associated IP phones successfully registered with PBX extensions via the instance. |
| create_time | Integer | The timestamp when the instance was created. |
| update_time | Integer | The timestamp of the last update to the instance data, excluding phone count and online phone count changes. |
Examples
Request example
GET /openapi/v1.0/onsiteproxy/list?page=1&page_size=3&sort_by=status&order_by=asc&access_token=IqJch3aPGM68rpf3D3C10Mf2t7BiYeSo HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 50,
"data": [
{
"id": 47,
"uuid": "67XXX-XXXX-XXXX-XXXX-XXXXXXXXXf42",
"name": "Proxy_033",
"platform": "linux",
"version": "99.0.0.9",
"intranet_ip": "172.17.0.19",
"public_ip": "192.0.2.10",
"audio_rtp_passthrough": 1,
"status": "connected",
"phone_count": 2,
"online_phone_count": 1,
"create_time": 1769753210,
"update_time": 1772422943
},
{
"id": 24,
"uuid": "80XXX-XXXX-XXXX-XXXX-XXXXXXXXXca4",
"name": "Proxy_010",
"platform": "linux",
"version": "99.0.0.9",
"intranet_ip": "172.17.0.42",
"public_ip": "192.0.2.12",
"audio_rtp_passthrough": 1,
"status": "connected",
"phone_count": 5,
"online_phone_count": 0,
"create_time": 1769753209,
"update_time": 1772422881
},
{
"id": 56,
"uuid": "a1XXX-XXXX-XXXX-XXXX-XXXXXXXXX9cf",
"name": "Proxy_042",
"platform": "linux",
"version": "99.0.0.9",
"intranet_ip": "172.17.0.10",
"public_ip": "192.0.2.17",
"audio_rtp_passthrough": 1,
"status": "connected",
"phone_count": 0,
"online_phone_count": 0,
"create_time": 1769753211,
"update_time": 1772422967
},
"connection_url": "198.51.100.10"
}